WikiNG - Bug #2353

Can not create Macro on Redmine 1.4.2
11 Dec 2014 02:00 - Rob Spearman

Status: Closed Start date: 11 Dec 2014
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Redmine version: External issue:

Description

No errors on install of 1.0.0b but when try to create even the simplest macro | get a 500 error.
Log says:

NoMethodError (private method “class_variable_get' called for Redmine::WikiFormatting::Macros:Modu
le) :
vendor/plugins/wiking/app/models/wiki_macro.rb:114:in ‘validate_name'
vendor/plugins/wiking/app/controllers/macros_controller.rb:18:in "create'
passenger (4.0.29) lib/phusion_passenger/rack/thread_handler_extension.rb:77:in " process_request

passenger (4.0.29) lib/phusion_passenger/request_handler/thread_handler.rb:140:in "accept_and_pr
ocess_next_request'

passenger (4.0.29) lib/phusion_passenger/request_handler/thread_handler.rb:108:in "main_loop'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:441:in "start_threads'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:435:in “initialize'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:435:in “new'

passenger (4.0.29) lib/phusion_passenger/request_handler.rb:435:in "start_threads'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:434:in “times'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:434:in “start_threads'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:433:in "~ synchronize'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:433:in "start_threads'
passenger (4.0.29) lib/phusion_passenger/request_handler.rb:200:in ‘main_loop'
passenger (4.0.29) helper-scripts/classic-rails-preloader.rb:182

Any suggestions?

History

#1 - 12 Dec 2014 03:07 - Rob Spearman

Server error on 2.5.3 as well.

#2 - 13 Dec 2014 04:26 - Rob Spearman

Removing, pulling from SVN, and reinstalling fixed the issue with 2.5.3.

#3 - 04 Sep 2016 08:34 - Andriy Lesyuk

- Status changed from New to Incomplete

Rob, does creating macros work?

#4 - 12 Dec 2017 22:44 - Andriy Lesyuk

- Status changed from Incomplete to Closed
http://projects.andriylesyuk.com/users/rob

Assuming, that the issue has been fixed.
